netatalk: config.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
config.c File Reference
`#include <arpa/inet.h>`
`#include <sys/ioctl.h>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/socket.h>`
`#include <net/if.h>`
`#include <assert.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/logger.h>`
`#include <atalk/unicode.h>`
`#include <atalk/util.h>`
`#include <netatalk/at.h>`
`#include "interface.h"`
`#include "multicast.h"`
`#include "rtmp.h"`
`#include "zip.h"`
`#include "list.h"`
`#include "main.h"`

## Data Structures
struct | param

## Macros
#define | IFF_SLAVE 0
#define | ARGV_CHUNK_SIZE 128
#define | MAXLINELEN 2048

## Functions
int | router (struct interface *iface, char **av)
int | dontroute (struct interface *iface, char **av)
int | seed (struct interface *iface, char **av)
int | phase (struct interface *iface, char **av)
int | net (struct interface *iface, char **av)
int | addr (struct interface *iface, char **av)
int | zone (struct interface *iface, char **av)
static char ** | at_parseline (const char *line)
static void | freeline (char **argv)
int | writeconf (char *cf)
int | readconf (char *cf)
int | getifconf (void)
struct interface * | newiface (const char *name)

## Variables
static const struct param | params []

## Macro Definition Documentation

## ◆ ARGV_CHUNK_SIZE

#define ARGV_CHUNK_SIZE 128

## ◆ IFF_SLAVE

#define IFF_SLAVE 0

## ◆ MAXLINELEN

#define MAXLINELEN 2048

## Function Documentation

## ◆ addr()

int addr | ( | struct interface * | iface,
|  | char ** | av )

## ◆ at_parseline()

char ** at_parseline | ( | const char * | line | ) |
| static

## ◆ dontroute()

int dontroute | ( | struct interface * | iface,
|  | char ** | av )

## ◆ freeline()

void freeline | ( | char ** | argv | ) |
| static

## ◆ getifconf()

int getifconf | ( | void |  | ) |

## ◆ net()

int net | ( | struct interface * | iface,
|  | char ** | av )

## ◆ newiface()

struct interface * newiface | ( | const char * | name | ) |

## ◆ phase()

int phase | ( | struct interface * | iface,
|  | char ** | av )

## ◆ readconf()

int readconf | ( | char * | cf | ) |

## ◆ router()

int router | ( | struct interface * | iface,
|  | char ** | av )

## ◆ seed()

int seed | ( | struct interface * | iface,
|  | char ** | av )

## ◆ writeconf()

int writeconf | ( | char * | cf | ) |

## ◆ zone()

int zone | ( | struct interface * | iface,
|  | char ** | av )

## Variable Documentation

## ◆ params

const struct param params[]
| static

Initial value:
= {
{ "router", router },
{ "dontroute", dontroute },
{ "seed", seed },
{ "phase", phase },
{ "net", net },
{ "addr", addr },
{ "zone", zone }
}
phase
int phase(struct interface *iface, char **av)
Definition config.c:538
net
int net(struct interface *iface, char **av)
Definition config.c:565
seed
int seed(struct interface *iface, char **av)
Definition config.c:522
addr
int addr(struct interface *iface, char **av)
Definition config.c:643
zone
int zone(struct interface *iface, char **av)
Definition config.c:679
router
int router(struct interface *iface, char **av)
Definition config.c:487
dontroute
int dontroute(struct interface *iface, char **av)
Definition config.c:509